Subject: Re: [EDUC] Re : Nouvelle version de Framadate
From: Louis-Maurice De Sousa <[email-masked]>
To: [email-masked]
Date: Sat, 29 Nov 2014 13:40:45 +0100
List-Id: <educ.april.org>

Le 29/11/2014 11:53, Nicolas George a écrit :
> L'octidi 8 frimaire, an CCXXIII, Fabián Rodríguez a écrit :
>>> Cet argument relève une des deux principales erreurs de raisonnement dans
>>> n'argumentaire de RMS : négliger le bénéfice escompté par les gens qui ont
>>> recours au SaaS.
>> Cette transition peut durer /des années/... Le bénéfice est là jusqu'au
>> moment où on décide de passer à la prochaine étpae.
>
> Hein ? Quelle transition ? Quelle prochaine étape. Je parle du monde actuel,
> pas de science fiction. Les offres comme google docs répondent, LÀ
> MAINTENANT, à un besoin des utilisateurs : celui d'accès délocalisé. Si les
> alternatives mises en avant ne répondent pas à ce besoin, elles ne répondent
> pas à la question, point.

Comme s'il y avait une quelconque volonté de proposer des alternatives…
Des alternatives existent par la seule activité d'individus. Elles ne 
sont promues au aucun niveau institutionnel.
D'autre part, j'ai des doutes sur la « réponse à un besoin ». Ce 
« besoin » est le plus souvent fabriqué par le promoteur du service. De 
la même façon qu'on n'a pas « besoin » de sodas.

>> Je ne crois pas, pas complètement  en tout cas. Le phénomène des
>> ordinateurs complets miniaturisés (rPi, etc.) me donne un autre son de
>> cloche. Oui pour la mobilité, mais non pour la centralisation.
>
> Je m'attendais à cet argument, mais il est facile à réfuter : tous les
> progrès qui permettent aux particuliers de faire des économies d'énergie
> sont tout aussi accessibles aux gros fournisseurs de service. Et même plutôt
> plus facilement, en général.

Sauf si ce n'est pas l'intérêt du fournisseur. EDF a promu le radiateur 
électrique pour justifier sa surcapacité de production. Véolia n'a pas 
intérêt à résoudre les fuites hallucinantes de son réseau ni d'éviter la 
pollution de l'eau puisqu'elle vend sa dépollution.
L'utilisateur a lui, intérêt à réduire sa facture.
La plupart des usagers du réseau ont une « box » utilisée à 10%. Elle 
pourrait faire d'autres choses…

> De toutes façons, c'est presque une tautologie qu'il vaut mieux un seul
> ordinateur utilisé à 100% que dix ordinateurs utilisés à 10%.
>
>> En effet, je répondrais plutôt Etherpad / Framapad (le code de Google
>> Docs provient initialement de là d'ailleurs), ou OwnCloud (qui paraît-il
>> peut gérer la collaboration sur un .ODT - j'ai pas essayé encore).
>
> Oui, ça c'est une réponse qui prend en compte les besoins des utilisateurs.
> Mais c'est de l'auto-hébergement, donc ça tombe dans le problème de l'usage
> des ressources.

Pas que.
L'académie de Versailles propose ces deux services à ses enseignants.
Le problème que nous avons est la vision institutionnelle qui enferme 
l'école dans son petit monde. Un enseignant aura besoin de communiquer 
avec ses élèves, d'autres personnes, y compris des collègues d'autres 
académies ou même d'autres pays. Et là, ça coince.

>> En effet, c'est une chaîne de confiance qu'il faut établir, mais il faut
>> commencer qq. part. Selon votre logique, on y renoncerait avant de
>> commencer.
>
> Je n'ai pas dit qu'il fallait renoncer, j'ai dit qu'il ne fallait pas
> idéaliser la situation des logiciels installés chez l'utilisateur.
>
>>> Enfin, un dernier point que je trouve choquant dans cet argumentaire, c'est
>>> le fait qu'il cisèle la définition de SaaS sur mesure pour inclure les
>>> services qu'il n'aime pas (Google docs) mais pas les services qu'il aime
>>> bien (Savannah). Ça ne donne pas très confiance.
>> Non, il cisèle les services qu'on ne peut pas héberger (G.Docs) et ceux
>> qu'on pourrait.
>
> J'invite à relire mon paragraphe plus attentivement, il n'a pas été
> correctement compris. On ne cisèle pas des services, ça ne veut rien dire.
>
>
> Louis-Maurice De Sousa a écrit :
>> Comme négliger le bénéfice escompté de la cocaïne…
>
> Oui, exactement. Si on se lance dans la lutte contre l'usage de drogues
> nocives sans se poser la question des raisons qui poussent les gens à les
> consommer, c'est une entreprise vouée à l'échec. De ce point de vue, les
> deux situations sont très similaires.

Je suis d'accord sur ce point, sauf que personne ne cherche à remplacer 
la cocaïne.

>> J'ai ma tour sous mon bureau, et mon serveur qui stocke mes données.
>> Je bosse dans le train, et je ne perds rien…
>
> « Moi je, moi je. » La discussion porte sur l'usage par le grand public, pas
> sur la biographie d'un utilisateur spécifique, encore moins sélectionné par
> son abonnement à cette liste pour l'intérêt qu'il porte à l'informatique.

Le « moi je » finit toujours par revenir dans la tronche de celui qui 
l'utilise. Personnellement j'ai chois d'assumer le « moi je » pour 
montrer que c'est possible parce que « je » le fais. Il n'est pas 
question de dire à tout le monde de faire pareil, mais juste de dire 
qu'avec aucun moyen particulier c'est possible.
Enfin, je ne suis pas inscrit sur cette liste pour mon intérêt pour 
l'informatique car je n'en ai pas. Pas plus que je n'en ai pour le 
marteau que j'utilise pourtant à chaque fois que j'ai un clou à planter.
Je suis inscrit sur cette liste pour mon intérêt pour la philosophie du 
logiciel libre et son utilisation dans un cadre éducatif.

>>> Répondre LibreOffice à quelqu'un qui veut du Google docs, c'est comme
>>> répondre de prendre la voiture pour aller à la librairie de la grande ville
>>> à cinquante bornes à quelqu'un qui se réjouit qu'amazon livre à domicile en
>>> deux jours : complètement à côté de la plaque.
>> C'est de croire au mirage d'Amazon® qui est complètement à côté de
>> la plaque. Cette entreprise va détruire l'économie du livre et la
>> culture.
>
> Il n'y a pas de mirage dans ce que j'ai écrit. Amazon sont peut-être des
> ordures socialement, mais ils livrent à bas prix même dans les trous paumés
> où la librairie ou le magasin d'électronique le plus proche est à plus de
> cinquante bornes, c'est un fait.

Le mirage consiste à croire que Amazon® veut le développement du savoir. 
C'est en fait tout le contraire.

> Bien sûr, pour comprendre l'argument, il faut mener une lecture un peu plus
> approfondie que la réaction pavlovienne au mot clef « amazon ».

Je m'excuse d'être aussi bête.

>> J'ai
>
> Encore du « moi je ».

Oui désolé…

>> 	un serveur en ligne depuis 15 ans et je n'ai pas eu à subir
>> cette « exposition ».
>
> En général, les gens qui affichent de telles certitudes ont un rootkit
> depuis environ 14 ans.

Prouve le…

>> Parce que les centrales nucléaires nécessaires à l'alimentation des
>> centres de Google® ou Apple c'est mieux ?
>
> Le total consommé est moindre, il suffit de réfléchir deux secondes pour
> s'en rendre compte.

J'ai beau réfléchir 10 s, je ne m'en rend pas compte. Le « cloud » 
poussé par Google® ou Apple® nécessite la création de *nouvelles* centrales.

>> Le seul fait de « pouvoir » le faire, si on en a les moyens ou le
>> temps suffit.
>
> Ce pouvoir est illusoire.

Ça me semble un peu court comme argument…
En quoi est-ce illusoire ?

>> Dans Debian, le contrôle du mainteneur est très stricte et les
>> outils de contrôle sont assez tatillons. Passer au travers est
>> difficile.
>
> Comme le bug d'OpenSSL. S'il avait été intentionnel, ça aurait été pareil.

Il l'a peut-être été. Il a été découvert. Dans le privateur il serait 
encore à l'œuvre.

>> Dans le cas de Debian, on ne fait pas confiance à une organisation,
>> mais à des gens. C'est une grosse différence.
>
> Grosse mais pas qualitative.
>
>> Si, parce que le nombre de personnes impliquées est bien moindre que
>> pour une distribution GNU/Linux. Car au délà des packageurs, il y a
>> aussi les développeurs.
>
> Encore une fois, différence quantitative, pas qualitative.

Je ne comprend pas cette distinction.
Je ne comprend pas non plus cette discussion ici.
Tous ces arguments je les ais entendus dans la bouche des adeptes 
d'Apple® ou de Microsoft®
Personne ne pense ici que tout est parfait. Il y a un cap c'est tout. Et 
les difficultés, les problèmes, conduisent à faire évoluer les solutions.
Tous les éléments non-libres de Debian sont maintenant en dehors de 
« main ». La GPL 3 a affiné la GPL 2… Rms dit lui-même qu'il faudra 
peut-être faire une nouvelle version de la GPL. Tout dépend des 
obstacles rencontrés au fur et à mesure du chemin.

>> La question n'est pas d'aimer ou pas.
>
> Si, précisément.

Ben non. Pour paraphraser rms, soit le service proposé est injuste soit 
il ne l'est pas. Soit il est mauvais pour la liberté de chacun, soit il 
ne l'est pas.

>> Quelque soit le service, Google® fait de ses utilisateurs ses
>> produits et donc sa seule richesse.
>
> C'est une autre question, qui n'a rien à voir. Personne n'a encore, dans
> cette discussion et Stallman non plus, eu la clairvoyance de faire la
> différence entre les SaaS gratuits et les payants. Les gratuits ont
> forcément un coût caché : exploitation des données personnelles, démarchage
> pour une offre payante, etc., qui incite à des pratiques hostiles.

Il se trouve que la jeunesse de l'industrie informatique fait que le 
problème est le même.
Même si le service est payant, on ne peut avoir aucune confiance dans ce 
que fait l'entreprise. Si un médecin ou un avocat rompt le secret 
professionnel, il subira un certain nombre de désagréments. Aucune 
condition d'utilisation de son service qu'il ferait signer à son patient 
ou à son client, ne pourra le protéger. Il y a une règle qui s'applique 
à tout le monde. C'est la déontologie.
Dans le cas de l'informatique, rien de tout cela. L'entreprise est seule 
à définir les conditions d'usage, même s'ils proposent un service 
payant. Conditions le plus souvent illisibles.

>> Louis-Maurice De Sousa

> Je crois que j'ai vu un échantillon représentatif.

???

> sonic steph a écrit :
>> Tu fais semblant d'ignorer le bilan énergétique déplorable des fermes de
>> serveurs de Google, Facebook et consorts..
>
> Déplorable par rapport à quoi ? Par rapport à un jardon potager,
> certainement. Mais il n'est pas question dans cette discussion d'inciter les
> gens à utiliser moins de ressources informatiques.

Et pourquoi pas ?

> Par rapport à la même puissance de calcul utilisée déployée par des
> ordinateurs individuels, c'est assez peu crédible, et si l'affirmation est
> maintenue, je veux voir des sources.

J'aimerais bien voir tes sources aussi. :-)

>> Et comme nous vivons dans un monde avec des ressources limitées, la
>> tendance parait plus à envisager de déporter des morceaux des fermes de
>> serveur chez des particuliers, pour faire office de chauffage..
>
> Cet argument ne couvre que la consommation d'énergie pour le fonctionnement,
> pas la consommation de ressources pour la fabrication du matériel, et ne
> marche qu'en été.
>
> En outre, il s'applique aussi bien aux particuliers qu'aux fournisseurs de
> service : les grandes fermes de serveurs commencent déjà à avoir des accords
> de cogénération avec les collectivités locales.

Oui, ça existe. Je me rappelle avoir vu un fournisseur de service 
informatiques refroidir ses machines en chauffant la piscine municipale. 
Mais c'est loin d'être la règle. Sans parler des tests quotidiens de 
démarrage de moteur diesel pour vérifier la bonne marche des groupes 
électrogène de secours.

-- 

Louis-Maurice De Sousa

--
Pour vous désinscrire de cette liste : https://listes.april.org/wws/sigrequest/educ

Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ